Bug 956162 (CVE-2013-3076)

Summary: CVE-2013-3076 Kernel: crypto: algif - suppress sending source address information in recvmsg
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130407,reported=20130414,source=oss-security,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-09 13:44:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 956166, 956167, 956168    
Bug Blocks: 858947    

Description Prasad J Pandit 2013-04-24 07:27:07 EDT
Linux kernel built with the User-space interface for hash algorithms
(CONFIG_CRYPTO_USER_API_HASH) and User-space interface for symmetric key
cipher algorithms (CONFIG_CRYPTO_USER_API_SKCIPHER) support is vulnerable
to an information leakage flaw. It occurs while receiving messages via
recvmsg(2) call.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/72a763d805a48ac8c0bf48fdb510e84c12de51fe

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/04/14/3
Comment 1 Prasad J Pandit 2013-04-24 07:33:06 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with
Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2
may address this issue.
Comment 3 Prasad J Pandit 2013-04-24 07:36:58 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 956168]
Comment 4 Fedora Update System 2013-04-26 20:07:47 EDT
kernel-3.8.8-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-05-03 20:08:19 EDT
kernel-3.8.11-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 errata-xmlrpc 2013-05-20 12:59:03 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html